#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(CallUikit, NSObject)

RCT_EXTERN_METHOD(login:(NSNumber)sdkAppId
                  userId:(NSString *)userId
                  userSig:(NSString *)userSig
                  onSuccess:(RCTResponseSenderBlock)onSuccess
                  onError:(RCTResponseSenderBlock)onError)

RCT_EXTERN_METHOD(logout:(RCTResponseSenderBlock)onSuccess
                  onError:(RCTResponseSenderBlock)onError)

RCT_EXTERN_METHOD(setSelfInfo:(NSString *)nickname
                  avatar:(NSString *)avatar
                  onSuccess:(RCTResponseSenderBlock)onSuccess
                  onError:(RCTResponseSenderBlock)onError)

RCT_EXTERN_METHOD(call:(NSString *)userId
                  callMediaType:(double)callMediaType
                  params:(NSDictionary __nullable)params
                  onSuccess:(RCTResponseSenderBlock)onSuccess
                  onError:(RCTResponseSenderBlock)onError)

RCT_EXTERN_METHOD(groupCall:(NSString *)groupId
                  userIdList:(NSArray<NSString *> *)userIdList
                  callMediaType:(double)callMediaType
                  params:(NSDictionary)params
                  onSuccess:(RCTResponseSenderBlock)onSuccess
                  onError:(RCTResponseSenderBlock)onError)

RCT_EXTERN_METHOD(joinInGroupCall:(NSDictionary)roomId
                  groupId:(NSString *)groupId
                  callMediaType:(double)callMediaType)

RCT_EXTERN_METHOD(setScreenOrientation:(NSNumber)orientation)

RCT_EXTERN_METHOD(setCallingBell:filePath(NSString *))

RCT_EXTERN_METHOD(enableMuteMode:enable(BOOL))

RCT_EXTERN_METHOD(enableVirtualBackground:enable(BOOL))

RCT_EXTERN_METHOD(enableIncomingBanner:enable(BOOL))

@end
