import { TUICallEvent } from './callEvent';
import type { ILoginParams, ICallParams, IGroupCallParams, IJoinGroupCallParams } from './interface';
export default class TUICallKit {
    static _call: TUICallKit | undefined;
    private _listeners;
    constructor();
    static createInstance(): TUICallKit;
    on(listener: {
        (type: TUICallEvent, params: any): void;
    }): {
        remove: () => void;
    };
    off(listener: {
        (type: TUICallEvent, params: any): void;
    }): void;
    login(params: ILoginParams, onSuccess?: (data: String) => void, onError?: (errCode: number, errMsg: string) => void): void;
    logout(onSuccess: (data: String) => void, onError?: (errCode: number, errMsg: string) => void): void;
    call(params: ICallParams, onSuccess?: (data: String) => void, onError?: (errCode: number, errMsg: string) => void): void;
    groupCall(params: IGroupCallParams, onSuccess?: (data: String) => void, onError?: (errCode: number, errMsg: string) => void): void;
    joinInGroupCall(params: IJoinGroupCallParams): void;
    setCallingBell(filePath: string): void;
    enableMuteMode(enable: boolean): void;
    enableVirtualBackground(enable: boolean): void;
    setScreenOrientation(orientation: number): void;
}
//# sourceMappingURL=callUIKit.d.ts.map