export enum MediaType {
  Audio,
  Video,
}

export enum IOSOfflinePushType {
  APNs,
  VoIP,
}

export interface RoomId {
  intRoomId?: number;
  strRoomId?: string;
}

export interface OfflinePushInfo {
  title?: string;
  desc?: string;
  ignoreIOSBadge?: boolean;
  iOSSound?: string;
  androidSound?: string;
  androidOPPOChannelID?: string;
  androidVIVOClassification?: number;
  androidXiaoMiChannelID?: string;
  androidFCMChannelID?: string;
  androidHuaWeiCategory?: string;
  isDisablePush?: boolean;
  iOSPushType?: IOSOfflinePushType;
}

export interface callParams {
  roomId: RoomId;
  timeout?: number;
  userData?: string;
  OfflinePushInfo?: OfflinePushInfo;
}

export interface ICallParams {
  userId: string;
  mediaType: MediaType;
  callParams?: callParams;
}

export interface ILoginParams {
  sdkAppId: number;
  userId: string;
  userSig: string;
}

export interface IGroupCallParams {
  groupId: string;
  userIdList?: Array<string>;
  mediaType?: MediaType;
  callParams?: callParams;
}

export interface IJoinGroupCallParams {
  roomId: RoomId;
  groupId: string;
  mediaType: MediaType;
}
